/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$("input[name=firstname]").on("input propertychange paste", function () {
    $('#name_title').text($(this).val() + " " + $("input[name=lastname]").val());
});

$("input[name=lastname]").on("input propertychange paste", function () {
    $('#name_title').text($("input[name=firstname]").val() + " " + $(this).val());
});

$("#savebutton").click(function (event) {
    var form = $("#editform");

    if (form[0].checkValidity() === false) {
        event.preventDefault()
        event.stopPropagation()
    }
    form.addClass('was-validated');
});